Bug 450669 - qla2xxx problems with Sun StorageTek T10000 tape drives
qla2xxx problems with Sun StorageTek T10000 tape drives
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
high Severity high
: rc
: 5.4
Assigned To: Marcus Barrow
Red Hat Kernel QE team
:
Depends On:
Blocks: 460170 483701 483784 485920 501989
  Show dependency treegraph
 
Reported: 2008-06-10 07:20 EDT by Bryn M. Reeves
Modified: 2010-10-22 21:48 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-05 15:02:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bryn M. Reeves 2008-06-10 07:20:42 EDT
Description of problem:
When attaching STK T10000 tape drives to a RHEL5 host via direct FC connection
the drives fail to operate correctly. Different failure rates are seen with
different versions of the driver:

Success rate        Driver version
20%                 8.01.04
95%                 8.01.07-k6
100%                8.02.08

Version-Release number of selected component (if applicable):
Tested with 2.6.18-94.el5. This produced the highest success rate of the tested
RHEL kernels to date. Tests with the QLogic provided driver version 8.02.08
produced a 100% success rate.

How reproducible:
Unknown

Steps to Reproduce:
Unknown
  
Actual results:
Failures seen as stated in table above.

Expected results:
Failures should be extremely rare or non-existant.

Additional info:
Comment 2 Issue Tracker 2008-06-11 09:04:28 EDT
At 04:28 PM 6/10/2008, Ben Woodard wrote:
>Can you explain the problem with the qla2xxx driver again. My
>understanding was that older drivers were not seeing all the devices
>on the FC fabric. Is that right or were you seeing problems after
>the devices appeared?
>
>-ben

Yes, that's correct. At 8.1.4 we were getting successful drive
configs (entries in /dev and /proc/scsi/scsi) about 20% of the time. Not
good.

At version 8.1.7, we were getting successful configs 90ish%.

Once we got v8.2.8, we saw 100%.

What's important to understand about our environment - and
potentially why other sites don't see this problem - is because our
devices are directly connected to the Q-Logic HBAs. No intermediate
switching technology.

It also may be related to our specific device, the Sun/STK T10000
tape drive with the 4Gbps optics.

-Todd 

Internal Status set to 'Waiting on Engineering'

This event sent from IssueTracker by kbaxley 
 issue 184281
Comment 3 Bryn M. Reeves 2008-06-11 09:51:39 EDT
The failure cases mentioned in comment #0 refer to times when the device fails
to be detected/configured automatically, i.e.:

- no entry in /proc/scsi/scsi
- no device nodes created

Comment 4 Tom Coughlan 2008-07-24 10:25:53 EDT
(In reply to comment #3)
> The failure cases mentioned in comment #0 refer to times when the device fails
> to be detected/configured automatically, 

The next steps would be to:

1. See if the tape drive will be detected after boot time. 

Something like:

echo 1 > /sys/class/fc_host/host1/issue_lip 
echo 1 > /sys/class/scsi_host/host1/scan

2. Run with the ql2xextended_error_logging mod param set to 1.

3. Provide /var/log/messages showing the failure. 

Marcus, please inquire whether anyone at QLogic has access to a Sun/STK T10000
tape drive with 4Gbps. Ask them to try this, direct connect. 
Comment 5 RHEL Product and Program Management 2008-07-24 10:42:48 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Tom Coughlan 2008-11-06 08:17:33 EST
An update on this please? 

Does the 5.3 beta solve this? If not, reply to comment 4?
Comment 8 Andrius Benokraitis 2009-01-14 16:47:10 EST
Bryn - any updates to this? Are you still seeing this?
Comment 10 RHEL Product and Program Management 2009-01-27 15:44:01 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 11 RHEL Product and Program Management 2009-02-16 10:06:34 EST
Updating PM score.
Comment 14 Tom Coughlan 2009-05-05 15:02:04 EDT
This issue will now be closed due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.